# FIXME: fix debug stuff
%global debug_package %{nil}

Name:		wireguard-tools
Version:	1.0.20210315
Release:	%mkrel 1
URL:		https://www.wireguard.com/
Summary:	Fast, modern, secure VPN tunnel
License:	GPLv2
Group:		Networking/Other
Source0:	https://git.zx2c4.com/%{name}/snapshot/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(systemd)
BuildRequires: 	pkgconfig(libmnl)
Requires:	kmod(wireguard.ko)

%description
WireGuard is a novel VPN that runs inside the Linux Kernel and uses
state-of-the-art cryptography (the "Noise" protocol). It aims to be
faster, simpler, leaner, and more useful than IPSec, while avoiding
the massive headache. It intends to be considerably more performant
than OpenVPN. WireGuard is designed as a general purpose VPN for
running on embedded interfaces and super computers alike, fit for
many different circumstances. It runs over UDP.

This package provides the wg binary for controling WireGuard.

%prep
%setup -q
%autopatch -p1

%build
cd %{_builddir}/%{name}-%{version}/src
%make_build

%install
cd %{_builddir}/%{name}-%{version}/src
%make_install

%files
%doc README.md
%{_bindir}/wg
%{_bindir}/wg-quick
%{_datadir}/bash-completion/completions/wg
%{_datadir}/bash-completion/completions/wg-quick
%{_unitdir}/wg-quick@.service
%{_unitdir}/wg-quick.target
%{_mandir}/man8/wg.8*
%{_mandir}/man8/wg-quick.8*


%changelog
* Tue Mar 16 2021 tmb <tmb> 1.0.20210315-1.mga8
+ Revision: 1703923
- update to v1.0.20210315
- update to v1.0.20210223

* Fri Aug 28 2020 luigiwalser <luigiwalser> 1.0.20200827-1.mga8
+ Revision: 1619288
- update to 1.0.20200827

* Fri Aug 21 2020 luigiwalser <luigiwalser> 1.0.20200820-1.mga8
+ Revision: 1617298
- update to 1.0.20200820

* Thu May 14 2020 tmb <tmb> 1.0.20200513-1.mga8
+ Revision: 1583738
- update filelist
- update to 1.0.20200513

* Mon May 11 2020 tmb <tmb> 1.0.20200510-1.mga8
+ Revision: 1582853
- update to 1.0.20200510

* Fri May 08 2020 tmb <tmb> 1.0.20200319-2.mga8
+ Revision: 1581659
- rebuild with gcc 10.1

* Fri Mar 20 2020 tmb <tmb> 1.0.20200319-1.mga8
+ Revision: 1558214
- update to 1.0.20200319

* Thu Feb 20 2020 umeabot <umeabot> 1.0.20200206-2.mga8
+ Revision: 1547014
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 tmb <tmb> 1.0.20200206-1.mga8
+ Revision: 1487491
- update to 1.0.20200206

* Tue Jan 21 2020 tmb <tmb> 1.0.20200121-1.mga8
+ Revision: 1481964
- update to 1.0.20200121

* Sun Jan 05 2020 tmb <tmb> 1.0.20200102-1.mga8
+ Revision: 1476752
- update to 1.0.20200102

* Sat Dec 28 2019 tmb <tmb> 1.0.20191226-1.mga8
+ Revision: 1474475
- update to 1.0.20191226

* Sat Dec 21 2019 tmb <tmb> 0.0.20191219-1.mga8
+ Revision: 1469361
- update to 0.0.20191219

* Mon Dec 16 2019 tmb <tmb> 0.0.20191212-1.mga8
+ Revision: 1468089
- update to 0.0.20191212

* Thu Dec 05 2019 tmb <tmb> 0.0.20191205-1.mga8
+ Revision: 1464605
- update to 0.0.20191205

* Mon Dec 02 2019 tmb <tmb> 0.0.20191127-1.mga8
+ Revision: 1464048
- update to 0.0.20191127

* Sun Oct 13 2019 tmb <tmb> 0.0.20191012-1.mga8
+ Revision: 1452783
- update to 0.0.20191012

* Thu Sep 19 2019 tmb <tmb> 0.0.20190913-1.mga8
+ Revision: 1443793
- update to 0.0.20190913

* Fri Sep 06 2019 tmb <tmb> 0.0.20190905-1.mga8
+ Revision: 1437842
- update to 0.0.20190905

* Wed Jul 03 2019 tmb <tmb> 0.0.20190702-1.mga8
+ Revision: 1417920
- update to 0.0.20190702

* Sat Jun 01 2019 tmb <tmb> 0.0.20190601-1.mga7
+ Revision: 1399449
- update to 0.0.20190601

* Sat Apr 06 2019 tmb <tmb> 0.0.20190406-1.mga7
+ Revision: 1386480
- update to 0.0.20190406

* Fri Mar 01 2019 tmb <tmb> 0.0.20190227-1.mga7
+ Revision: 1370696
- update to 0.0.20190227

* Sat Feb 02 2019 tmb <tmb> 0.0.20190123-1.mga7
+ Revision: 1362396
- update to 0.0.20190123

* Fri Dec 21 2018 tmb <tmb> 0.0.20181218-1.mga7
+ Revision: 1344243
- tools: curve25519: handle unaligned loads/stores safely
- update to 0.0.20181218

* Fri Nov 23 2018 tmb <tmb> 0.0.20181119-1.mga7
+ Revision: 1333538
- update to 0.0.20181119

* Sun Oct 21 2018 tmb <tmb> 0.0.20181018-2.mga7
+ Revision: 1323392
- wg.8: specify that wg(8) shows runtime info too
- wg.8: AllowedIPs isn't actually required

* Sat Oct 20 2018 tmb <tmb> 0.0.20181018-1.mga7
+ Revision: 1322914
- update to 0.0.20181018

* Wed Oct 10 2018 tmb <tmb> 0.0.20181007-1.mga7
+ Revision: 1319317
- update to 0.0.20181007

* Wed Sep 26 2018 tmb <tmb> 0.0.20180925-1.mga7
+ Revision: 1305991
- update to 0.0.20180925

* Wed Sep 05 2018 tmb <tmb> 0.0.20180904-1.mga7
+ Revision: 1257326
- update to 0.0.20180904

* Wed Aug 15 2018 tmb <tmb> 0.0.20180809-1.mga7
+ Revision: 1251804
- update to 0.0.20180809

* Fri Aug 03 2018 tmb <tmb> 0.0.20180802-1.mga7
+ Revision: 1247028
- update to 0.0.20180802

* Sun Jul 08 2018 tmb <tmb> 0.0.20180708-1.mga7
+ Revision: 1242660
- tools: only error on wg show if all interfaces fail

* Fri Jul 06 2018 tmb <tmb> 0.0.20180625-1.mga7
+ Revision: 1242345
- update to 0.0.20180625

* Thu Jun 14 2018 tmb <tmb> 0.0.20180613-1.mga7
+ Revision: 1236913
- update to 0.0.20180613

* Sun May 20 2018 tmb <tmb> 0.0.20180519-1.mga7
+ Revision: 1230865
- allowedips: set pointer to null before freeing
- update to 0.0.20180519

* Mon Apr 30 2018 tmb <tmb> 0.0.20180420-1.mga7
+ Revision: 1223879
- update to 0.0.20180420

* Sat Apr 14 2018 tmb <tmb> 0.0.20180413-1.mga7
+ Revision: 1218512
- update to 0.0.20180413

* Wed Mar 07 2018 tmb <tmb> 0.0.20180304-1.mga7
+ Revision: 1207061
- update to 0.0.20180304

* Fri Feb 23 2018 tmb <tmb> 0.0.20180218-1.mga7
+ Revision: 1204403
- update to 0.0.20180218

* Sun Feb 04 2018 tmb <tmb> 0.0.20180202-1.mga7
+ Revision: 1198812
- update to 0.0.20180202

* Fri Jan 19 2018 tmb <tmb> 0.0.20180118-1.mga7
+ Revision: 1194521
- update to 0.0.20180118

* Thu Dec 21 2017 tmb <tmb> 0.0.20171221-1.mga7
+ Revision: 1183732
- update to 0.0.20171221

* Sun Dec 17 2017 tmb <tmb> 0.0.20171211-1.mga7
+ Revision: 1183067
- update to 0.0.20171211

* Thu Nov 30 2017 tmb <tmb> 0.0.20171127-1.mga7
+ Revision: 1180408
- update to 0.0.20171127

* Wed Nov 22 2017 tmb <tmb> 0.0.20171122-1.mga7
+ Revision: 1178914
- update to 0.0.20171122

* Thu Nov 16 2017 tmb <tmb> 0.0.20171111-1.mga7
+ Revision: 1177583
- update to 0.0.20171111

* Fri Nov 03 2017 tmb <tmb> 0.0.20171101-1.mga7
+ Revision: 1175727
- imported package wireguard-tools

